hpp-fcl: hpp::fcl::DistanceRequest Struct Reference

hpp-fcl 1.7.5 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::DistanceRequest Struct Reference

request to the distance computation More...

`#include <hpp/fcl/collision_data.h>`

Inheritance diagram for hpp::fcl::DistanceRequest:

## Public Member Functions
| DistanceRequest (bool enable_nearest_points_=false, FCL_REAL rel_err_=0.0, FCL_REAL abs_err_=0.0)
bool | isSatisfied (const DistanceResult &result) const
bool | operator== (const DistanceRequest &other) const
| whether two DistanceRequest are the same or not More...
Public Member Functions inherited from hpp::fcl::QueryRequest
| QueryRequest ()
void | updateGuess (const QueryResult &result)
bool | operator== (const QueryRequest &other) const
| whether two QueryRequest are the same or not More...

## Public Attributes
bool | enable_nearest_points
| whether to return the nearest points More...
FCL_REAL | rel_err
| error threshold for approximate distance More...
FCL_REAL | abs_err
Public Attributes inherited from hpp::fcl::QueryRequest
bool | enable_cached_gjk_guess
| whether enable gjk intial guess More...
Vec3f | cached_gjk_guess
| the gjk intial guess set by user More...
support_func_guess_t | cached_support_func_guess
| the support function intial guess set by user More...
bool | enable_timings
| enable timings when performing collision/distance request More...

## Detailed Description

request to the distance computation

## Constructor & Destructor Documentation

## ◆ DistanceRequest()

hpp::fcl::DistanceRequest::DistanceRequest | ( | bool | enable_nearest_points_ = `false`,
|  | FCL_REAL | rel_err_ = `0.0`,
|  | FCL_REAL | abs_err_ = `0.0`
| ) |  |
| inline

Parameters

  enable_nearest_points_ | enables the nearest points computation.
  rel_err_ |
  abs_err_ |

## Member Function Documentation

## ◆ isSatisfied()

bool hpp::fcl::DistanceRequest::isSatisfied | ( | const DistanceResult & | result | ) | const

## ◆ operator==()

bool hpp::fcl::DistanceRequest::operator== | ( | const DistanceRequest & | other | ) | const
| inline

whether two DistanceRequest are the same or not

## Member Data Documentation

## ◆ abs_err

FCL_REAL hpp::fcl::DistanceRequest::abs_err

## ◆ enable_nearest_points

bool hpp::fcl::DistanceRequest::enable_nearest_points

whether to return the nearest points

## ◆ rel_err

FCL_REAL hpp::fcl::DistanceRequest::rel_err

error threshold for approximate distance

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_data.h